require 'rest-client'
require 'base64'

module GreenhouseIo
  module API
    def get_response(url, options)
      headers = {}
      if self.api_token
        credential = Base64.strict_encode64(self.api_token + ':')
        headers = { "Authorization" => "Basic " + credential }
      end
      headers.merge!({ params: options }) unless options.empty?
      RestClient.get(url, headers)
    end

    def post_response(url, payload, headers)
      credential = Base64.strict_encode64(self.api_token + ':')
      headers.merge!({ "Authorization" => "Basic " + credential })
      RestClient.post(url, payload[:body], headers)
    end

    def parse_json(response)
      JSON.parse(response.body, symbolize_names: GreenhouseIo.configuration.symbolize_keys)
    end
  end
end
